Flame Lord Kakai:
Orc Raiders are superb warriors who fight powerfully with weapons. They rely on their pure power and skill to win, not on tactical tricks. Orc Raiders are the most consistent fighters on the battlefield. Their power overwhelms the skills of their enemies.
The most skillful Orc Raiders are later selected as Destroyers. One on one, Destroyers surpass all other Fighters.
Ask about changing profession to an Orc Raider
Return